---
type: Administration

traffic-light: green

target-close-date: 2015-10-16

actual-close-date: TBA

affected-group: eResearch

deliverables: report script

report-status: v1.0 completed

report-status-updated: 2015-11-11

---
# KPY

A reporting-automation system for the monthly highlights. Gathers stats from
Service Connect and GitLab and turns them into reports and charts.

To install use pip: ``` pip3 install . ```

## Tickets

TODO: Write up how to run

## Engagement

To create a stacked-bar chart summarising our interaction with faculty.

*  Set environment variables for the LDAP proxy:  
   ```export LDAP_USER='cn=eResearch Proxy Agent,ou=System Users,o=UTS'```  
   ```export LDAP_PASSWD='password-goes-here'```

*  For each member of the team, run this (change "Sent Items" if needed - e.g. when doing Mike Lake's email):  
   ```python engagement_individual.py outlook.office365.com peter.sefton@uts.edu.au -f "Sent Items" -q "SINCE 01-Dec-2016 BEFORE 01-Jan-2017" -m groups.json ```

	The script will write its output into a directory named for the query (-q) parameter:   
    ```Output/SINCE 01-Dec-2016 BEFORE 01-Jan-2017```

*  When the script has been run for each team member, run this:   
   ```python engagement_stacked.py Output/SINCE\ 01-Dec-2016\ BEFORE\ 01-Jan-2017/```

	The script will write its output an image into the directory passed on the commandline.

